### Constructor

# GimpUi EnumStore new_with_range

since: 2.4

#### Declaration [src]

    GtkListStore*
    gimp_enum_store_new_with_range (
      GType enum_type,
      gint minimum,
      gint maximum
    )

#### Description [src]

Creates a new `GimpEnumStore` like `gimp_enum_store_new()` but allows to limit the enum values to a certain range. Values smaller than `minimum` or larger than `maximum` are not added to the store.

Available since: 2.4

#### Parameters

`enum_type`

  Type: `GType`

  The `GType` of an enum.

`minimum`

  Type: `gint`

  The minimum value to include.

`maximum`

  Type: `gint`

  The maximum value to include.

#### Return value

Type: `GtkListStore`

A new `GimpEnumStore`.

The caller of the function takes ownership of the data, and is responsible for freeing it.